---
type: api
title: Get a Fleet Server host
description: Get a Fleet Server host by ID.<br/><br/>[Required authorization] Route required privileges: fleet-settings-read.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-get-fleet-fleet-server-hosts-itemid
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-get-fleet-fleet-server-hosts-itemid
products:
  - Kibana
---

# Get a Fleet Server host

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/fleet/fleet_server_hosts/{itemId}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#basicauth)

#### Path Parameters

- `itemId` (string)
  The ID of the Fleet Server host

## Description

Get a Fleet Server host by ID.<br/><br/>[Required authorization] Route required privileges: fleet-settings-read.

## Responses

#### `200`

Successful response

`application/json`

- `item` (object)
  - `allow_edit` ([] string · max: 100)
  - `host_urls` ([] string · min: 1 · max: 10)
  - `id` (string)
  - `is_default` (boolean · default: false)
  - `is_internal` (boolean)
  - `is_preconfigured` (boolean · default: false)
  - `name` (string)
  - `proxy_id` (string) — nullable
  - `secrets` (object)
    - `ssl` (object)
      - `agent_key` (union anyOf)
        - **{ id }**
          - `id` (string)
        - **string**
      - `es_key` (union anyOf)
        - **{ id }**
          - `id` (string)
        - **string**
      - `key` (union anyOf)
        - **{ id }**
          - `id` (string)
        - **string**
  - `ssl` (object) — nullable
    - `agent_certificate` (string)
    - `agent_certificate_authorities` ([] string · max: 10)
    - `agent_key` (string)
    - `certificate` (string)
    - `certificate_authorities` ([] string · max: 10)
    - `client_auth` (enum)
      Values: `optional`, `required`, `none`
    - `es_certificate` (string)
    - `es_certificate_authorities` ([] string · max: 10)
    - `es_key` (string)
    - `key` (string)
#### `400`

Bad Request

`application/json`

- `attributes` (object)
- `error` (string)
- `errorType` (string)
- `message` (string)
- `statusCode` (number)
#### `404`

Not Found

## Code Examples

#### Console

```console
GET /api/fleet/fleet_server_hosts/{itemId}
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/fleet/fleet_server_hosts/{itemId}"
```

## Response Examples

#### Get fleet server host

A Fleet Server host

```json
{
  "item": {
    "host_urls": [
      "https://fleet-server.example.com:8220"
    ],
    "id": "fleet-server-host-id-1",
    "is_default": true,
    "is_preconfigured": false,
    "name": "Default Fleet Server"
  }
}
```

#### Generic error response

Example of a generic error response

```json
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}
```

#### Not found

No Fleet Server host was found with the given ID

```json
{
  "error": "Not Found",
  "message": "Fleet server fleet-server-host-id-1 not found",
  "statusCode": 404
}
```

